Subject: Re: [RFC bpf-next 3/7] bpf: implement devtx hook points

From: Stanislav Fomichev <[email-masked]>
Date: Wed, 14 Jun 2023 10:18:16 -0700

On 06/14, Simon Horman wrote:
> On Tue, Jun 13, 2023 at 12:00:25PM -0700, Stanislav Fomichev wrote:
> > On Tue, Jun 13, 2023 at 8:08 AM Simon Horman <[email-masked]> wrote:
> > > On Mon, Jun 12, 2023 at 10:23:03AM -0700, Stanislav Fomichev wrote:
> 
> ...
> 
> > > > +void devtx_complete(struct net_device *netdev, struct devtx_frame *ctx)
> > > > +{
> > > > +     rcu_read_lock();
> > > > +     devtx_run(netdev, ctx, &netdev->devtx_cp);
> > > > +     rcu_read_unlock();
> > > > +}
> > > > +EXPORT_SYMBOL_GPL(devtx_complete);
> > > > +
> > > > +/**
> > > > + * devtx_sb - Called for every egress netdev packet
> > >
> > > As this is a kernel doc, it would be good to document the ctx parameter here.
> > 
> > I didn't really find a convincing way to add a comment, I've had the
> > following which I've removed prio to submission:
> > @ctx devtx_frame context
> > 
> > But it doesn't seem like it brings anything useful? Or ok to keep it that way?
> 
> Thanks Stan,
> 
> I see what you are saying wrt it not bringing much value.
> But I'm more thinking that something is better than nothing.
> Anyway, I'll drop this topic if you prefer.

Ack, thanks, I'll put it in for the consistency sake!